<?xml version="1.0" encoding="UTF-8"?>

<!--
    file                 : playerconfigmenu.xml
    created              : 2009
    copyright            : (C) 2009 by Brian Gavin, Eckhard M. Jaeger
    web                  : speed-dreams.sourceforge.net
    version              : $Id: playerconfigmenu.xml 6575 2018-12-16 20:04:39Z torcs-ng $
-->

<!--    This program is free software; you can redistribute it and/or modify  -->
<!--    it under the terms of the GNU General Public License as published by  -->
<!--    the Free Software Foundation; either version 2 of the License, or     -->
<!--    (at your option) any later version.                                   -->

<!-- 

	Player (human driver) config menu

-->

<!DOCTYPE params SYSTEM "../tgf/params.dtd">

<params name="playerconfigmenu">
  
	<section name="dynamic controls">

		<!-- Player's name editbox -->
		<section name="nameedit">
			<attstr name="type" val="edit box"/>
			<attstr name="tip" val="Enter your driver name"/>
			<attnum name="max len" val="16"/>
			<attnum name="x" val="185"/>
			<attnum name="y" val="319"/>
			<attnum name="width" val="200"/>
			<attstr name="h align" val="center"/>
			<attstr name="color" val="0xFFFFFF"/>
			<attstr name="font" val="medium"/>
		</section>
		
		<!-- Skill level chooser left/right buttons -->
		<section name="skillleftarrow">
			<attstr name="type" val="image button"/>
			<attnum name="width" val="24"/>
			<attnum name="height" val="24"/>	  	  	  	  
			<attstr name="tip" val=""/>
			<attnum name="x" val="155"/>
			<attnum name="y" val="290"/>
			<attstr name="disabled image" val="data/img/arrow-left-top-disabled.png"/>
			<attstr name="enabled image" val="data/img/arrow-left-top.png"/>
			<attstr name="focused image" val="data/img/arrow-left-top-focused.png"/>
			<attstr name="pushed image" val="data/img/arrow-left-top-pushed.png"/>
		</section>
		<section name="skillrightarrow">
			<attstr name="type" val="image button"/>
			<attnum name="width" val="24"/>
			<attnum name="height" val="24"/>	  
			<attstr name="tip" val=""/>
			<attnum name="x" val="340"/>
			<attnum name="y" val="290"/>
			<attstr name="disabled image" val="data/img/arrow-right-top-disabled.png"/>
			<attstr name="enabled image" val="data/img/arrow-right-top.png"/>
			<attstr name="focused image" val="data/img/arrow-right-top-focused.png"/>
			<attstr name="pushed image" val="data/img/arrow-right-top-pushed.png"/>
		</section>

		<!-- Skill level name showing (rookie, amateur, semi-pro, pro) -->
		<section name="skilltext">
			<attstr name="type" val="label"/>
			<attstr name="tip" val="Setup your driving skill level"/>
			<attnum name="max len" val="15"/>
			<attnum name="x" val="185"/>
			<attnum name="y" val="294"/>
			<attnum name="width" val="150"/>
			<attstr name="h align" val="center"/>
			<attstr name="color" val="0xFFFFFF"/>
			<attstr name="font" val="medium"/>
		</section>
		
		<!-- Gear shifting mode chooser left/right buttons -->
		<section name="gearleftarrow">
			<attstr name="type" val="image button"/>
			<attnum name="width" val="24"/>
			<attnum name="height" val="24"/>	  	  	  	  
			<attstr name="tip" val=""/>
			<attnum name="x" val="155"/>
			<attnum name="y" val="260"/>
			<attstr name="disabled image" val="data/img/arrow-left-top-disabled.png"/>
			<attstr name="enabled image" val="data/img/arrow-left-top.png"/>
			<attstr name="focused image" val="data/img/arrow-left-top-focused.png"/>
			<attstr name="pushed image" val="data/img/arrow-left-top-pushed.png"/>
		</section>
		<section name="gearrightarrow">
			<attstr name="type" val="image button"/>
			<attnum name="width" val="24"/>
			<attnum name="height" val="24"/>	  
			<attstr name="tip" val=""/>
			<attnum name="x" val="340"/>
			<attnum name="y" val="260"/>
			<attstr name="disabled image" val="data/img/arrow-right-top-disabled.png"/>
			<attstr name="enabled image" val="data/img/arrow-right-top.png"/>
			<attstr name="focused image" val="data/img/arrow-right-top-focused.png"/>
			<attstr name="pushed image" val="data/img/arrow-right-top-pushed.png"/>
		</section>
		
		<!-- Gear shifting mode showing (auto, sequential, grid) -->
		<section name="geartext">
			<attstr name="type" val="label"/>
			<attstr name="tip" val="Choose your gear shifting mode"/>
			<attnum name="max len" val="15"/>
			<attnum name="x" val="185"/>
			<attnum name="y" val="264"/>
			<attnum name="width" val="150"/>
			<attstr name="h align" val="center"/>
			<attstr name="color" val="0xFFFFFF"/>
			<attstr name="font" val="medium"/>
		</section>

		<!-- Autoreverse label, only shown when gear type is ''auto' -->
		<section name="autoreversetext">
			<attstr name="type" val="label"/>
			<attstr name="text" val="Auto reverse:"/>
			<attnum name="x" val="20"/>
			<attnum name="y" val="234"/>
			<attstr name="color" val="0xFFFFFF"/>
			<attstr name="h align" val="right"/>
			<attnum name="width" val="110"/>
			<attstr name="font" val="small_t"/>
		</section>

		<!-- Autoreverse chooser left/right buttons -->
		<section name="autoleftarrow">
			<attstr name="type" val="image button"/>
			<attnum name="width" val="24"/>
			<attnum name="height" val="24"/>	  	  	  	  
			<attstr name="tip" val=""/>
			<attnum name="x" val="155"/>
			<attnum name="y" val="230"/>
			<attstr name="disabled image" val="data/img/arrow-left-top-disabled.png"/>
			<attstr name="enabled image" val="data/img/arrow-left-top.png"/>
			<attstr name="focused image" val="data/img/arrow-left-top-focused.png"/>
			<attstr name="pushed image" val="data/img/arrow-left-top-pushed.png"/>
		</section>
		<section name="autorightarrow">
			<attstr name="type" val="image button"/>
			<attnum name="width" val="24"/>
			<attnum name="height" val="24"/>	  
			<attstr name="tip" val=""/>
			<attnum name="x" val="340"/>
			<attnum name="y" val="230"/>
			<attstr name="disabled image" val="data/img/arrow-right-top-disabled.png"/>
			<attstr name="enabled image" val="data/img/arrow-right-top.png"/>
			<attstr name="focused image" val="data/img/arrow-right-top-focused.png"/>
			<attstr name="pushed image" val="data/img/arrow-right-top-pushed.png"/>
		</section>
		
		<!-- Autoreverse on/off display -->
		<section name="autotext">
			<attstr name="type" val="label"/>
			<attstr name="tip" val="Toggle inverted throttle / brake and auto-reverse shifting when stopped"/>
			<attnum name="max len" val="10"/>
			<attnum name="x" val="185"/>
			<attnum name="y" val="234"/>
			<attnum name="width" val="150"/>
			<attstr name="h align" val="center"/>
			<attstr name="color" val="0xFFFFFF"/>
			<attstr name="font" val="medium"/>
		</section>
		
		<!-- Race number editbox -->
		<section name="racenumedit">
			<attstr name="type" val="edit box"/>
			<attstr name="tip" val="Your preferred racing number"/>
			<attnum name="max len" val="2"/>
			<attnum name="x" val="185"/>
			<attnum name="y" val="200"/>
			<attnum name="width" val="82"/>
			<attstr name="h align" val="right"/>
			<attstr name="font" val="medium"/>
		</section>

		<!-- Pit stop editbox -->
		<section name="pitstopedit">
			<attstr name="type" val="edit box"/>
			<attstr name="tip" val="Number of scheduled pit-stops"/>
			<attnum name="max len" val="2"/>
			<attnum name="x" val="185"/>
			<attnum name="y" val="172"/>
			<attnum name="width" val="82"/>
			<attstr name="h align" val="right"/>
			<attstr name="color" val="0xFFFFFF"/>
			<attstr name="font" val="medium"/>
		</section>
		
		<!-- Players scroll-list -->
		<section name="playerscrolllist">
			<attstr name="type" val="scroll list"/>
			<attstr name="tip" val="Choose a player profile"/>
			<attnum name="x" val="418"/>
			<attnum name="y" val="172"/>
			<attnum name="width" val="160"/>
			<attnum name="height" val="138"/>
			<attstr name="font" val="medium"/>
			<attstr name="color" val="0xFFFFFF"/>
			<attstr name="selected color" val="0xFF0000"/>
			<attstr name="scrollbar pos" val="right"/>
			<attnum name="image width" val="16"/>
			<attnum name="image height" val="16"/>
		</section>
		
		<!-- New player button -->
		<section name="new">
			<attstr name="type" val="image button"/>
			<attstr name="tip" val="Create a new player"/>
			<attnum name="x" val="410"/>
			<attnum name="y" val="140"/>
			<attnum name="width" val="28"/>
			<attnum name="height" val="28"/>                        
			<attstr name="disabled image" val="data/img/icon-new-disabled.png"/>
			<attstr name="enabled image" val="data/img/icon-new.png"/>
			<attstr name="focused image" val="data/img/icon-new-focused.png"/>
			<attstr name="pushed image" val="data/img/icon-new-pushed.png"/>
		</section>
		
		<!-- Copy player button -->
		<section name="copy">
			<attstr name="type" val="image button"/>
			<attstr name="tip" val="Copy selected player"/>
			<attnum name="x" val="438"/>
			<attnum name="y" val="140"/>
			<attnum name="width" val="28"/>
			<attnum name="height" val="28"/>                        
			<attstr name="disabled image" val="data/img/icon-copy-disabled.png"/>
			<attstr name="enabled image" val="data/img/icon-copy.png"/>
			<attstr name="focused image" val="data/img/icon-copy-focused.png"/>
			<attstr name="pushed image" val="data/img/icon-copy-pushed.png"/>
		</section>
		
		<!-- Delete player button -->
		<section name="delete">
			<attstr name="type" val="image button"/>
			<attstr name="tip" val="Delete selected player"/>
			<attnum name="x" val="466"/>
			<attnum name="y" val="140"/>
			<attnum name="width" val="28"/>
			<attnum name="height" val="28"/>                        
			<attstr name="disabled image" val="data/img/icon-remove-disabled.png"/>
			<attstr name="enabled image" val="data/img/icon-remove.png"/>
			<attstr name="focused image" val="data/img/icon-remove-focused.png"/>
			<attstr name="pushed image" val="data/img/icon-remove-pushed.png"/>
		</section>
		
		<!-- Player controls button -->
		<section name="controls">
			<attstr name="type" val="text button"/>
			<attstr name="show box" val="no"/>
			<attstr name="text" val="Controls"/>
			<attstr name="tip" val="Configure selected player's controls"/>
			<attstr name="h align" val="left"/>
			<attnum name="x" val="508"/>
			<attnum name="y" val="140"/>
			<attnum name="width" val="120"/>
			<attstr name="font" val="medium"/>
			<attstr name="color" val="0xFFFFFF"/>
			<attstr name="focused color" val="0xFFFFFF"/>
			<attstr name="pushed color" val="0xFFFFFF"/>
			<attnum name="image x" val="-10"/>
			<attnum name="image y" val="4"/>
			<attnum name="image width" val="60"/>
			<attnum name="image height" val="16"/>
			<attstr name="focused image" val="data/img/button-left-focused.png"/>
			<attstr name="enabled image" val="data/img/button-left.png"/>
			<attstr name="pushed image" val="data/img/button-left-pushed.png"/> 
		</section>
		
		<section name="CancelButton">
			<attstr name="type" val="text button"/>
			<attstr name="show box" val="no"/>
			<attstr name="text" val="Cancel"/>
			<attstr name="tip" val="Cancel changes"/>
			<attstr name="h align" val="left"/>
			<attnum name="x" val="166"/>
			<attnum name="y" val="44"/>
			<attnum name="width" val="120"/>
			<attstr name="font" val="medium"/>
			<attstr name="color" val="0xFFFFFF"/>
			<attstr name="focused color" val="0xFFFFFF"/>
			<attstr name="pushed color" val="0xFFFFFF"/>
			<attnum name="image x" val="-10"/>
			<attnum name="image y" val="4"/>
			<attnum name="image width" val="60"/>
			<attnum name="image height" val="16"/>
			<attstr name="focused image" val="data/img/button-left-focused.png"/>
			<attstr name="enabled image" val="data/img/button-left.png"/>
			<attstr name="pushed image" val="data/img/button-left-pushed.png"/>    
		</section>

		<section name="ApplyButton">
			<attstr name="type" val="text button"/>
			<attstr name="show box" val="no"/>
			<attstr name="text" val="Apply"/>
			<attstr name="tip" val="Accept and save changes"/>
			<attstr name="h align" val="left"/>
			<attnum name="x" val="435"/>
			<attnum name="y" val="44"/>
			<attnum name="width" val="120"/>
			<attstr name="font" val="medium"/>
			<attstr name="color" val="0xFFFFFF"/>
			<attstr name="focused color" val="0xFFFFFF"/>
			<attstr name="pushed color" val="0xFFFFFF"/>
			<attnum name="image x" val="-10"/>
			<attnum name="image y" val="4"/>
			<attnum name="image width" val="60"/>
			<attnum name="image height" val="16"/>
			<attstr name="focused image" val="data/img/button-left-focused.png"/>
			<attstr name="enabled image" val="data/img/button-left.png"/>
			<attstr name="pushed image" val="data/img/button-left-pushed.png"/>    
		</section>
		
		<!-- Webserver username editbox -->
		<section name="webusernameedit">
			<attstr name="type" val="edit box"/>
			<attstr name="tip" val="Enter your username"/>
			<attnum name="max len" val="16"/>
			<attnum name="x" val="185"/>
			<attnum name="y" val="120"/>
			<attnum name="width" val="150"/>
			<attstr name="h align" val="center"/>
			<attstr name="color" val="0xFFFFFF"/>
			<attstr name="font" val="medium"/>
		</section>

		<!-- Webserver password editbox -->	
		<section name="webpasswordedit">
			<attstr name="type" val="edit box"/>
			<attstr name="tip" val="Enter your password"/>
			<attnum name="max len" val="16"/>
			<attnum name="x" val="185"/>
			<attnum name="y" val="90"/>
			<attnum name="width" val="150"/>
			<attstr name="h align" val="center"/>
			<attstr name="color" val="0xFFFFFF"/>
			<attstr name="font" val="medium"/>
			<attstr name="mask text" val="true"/>
		</section>

		<!-- Webserver test login button -->	
		<section name="weblogintest">
			<attstr name="type" val="text button"/>
			<attstr name="show box" val="no"/>
			<attstr name="text" val="Test Login"/>
			<attstr name="tip" val="Test the login with current username and password"/>
			<attstr name="h align" val="left"/>
			<attnum name="x" val="195"/>
			<attnum name="y" val="60"/>
			<attnum name="width" val="150"/>
			<attstr name="font" val="medium"/>
			<attstr name="color" val="0xFFFFFF"/>
			<attstr name="focused color" val="0xFFFFFF"/>
			<attstr name="pushed color" val="0xFFFFFF"/>
			<attnum name="image x" val="-10"/>
			<attnum name="image y" val="4"/>
			<attnum name="image width" val="60"/>
			<attnum name="image height" val="16"/>
			<attstr name="focused image" val="data/img/button-left-focused.png"/>
			<attstr name="enabled image" val="data/img/button-left.png"/>
			<attstr name="pushed image" val="data/img/button-left-pushed.png"/>    
		</section>

		
		</section>

		<section name="static controls">

		<section name="1">
			<attstr name="type" val="background image"/>
			<attstr name="image" val="data/img/splash-playerconf.jpg"/>
		</section>

		<section name="2">
			<attstr name="type" val="static image"/>
			<attnum name="x" val="-10"/>
			<attnum name="y" val="335"/>
			<attnum name="width" val="200"/>
			<attnum name="height" val="120"/>
			<attstr name="image" val="data/img/sd-logo.png"/>
		</section>

		<section name="3">
			<attstr name="type" val="label"/>
			<attstr name="text" val="Name:"/>
			<attstr name="tip" val="Enter your driver name"/>
			<attnum name="x" val="20"/>
			<attnum name="y" val="322"/>
			<attstr name="color" val="0xFFFFFF"/>
			<attstr name="h align" val="right"/>
			<attnum name="width" val="110"/>
			<attstr name="font" val="small_t"/>
		</section>

		<section name="4">
			<attstr name="type" val="label"/>
			<attstr name="text" val="Skill level:"/>
			<attnum name="x" val="20"/>
			<attnum name="y" val="294"/>
			<attstr name="color" val="0xFFFFFF"/>
			<attstr name="h align" val="right"/>
			<attnum name="width" val="110"/>
			<attstr name="font" val="small_t"/>
		</section>

		<section name="5">
			<attstr name="type" val="label"/>
			<attstr name="text" val="Gear change:"/>
			<attnum name="x" val="20"/>
			<attnum name="y" val="264"/>
			<attstr name="color" val="0xFFFFFF"/>
			<attstr name="h align" val="right"/>
			<attnum name="width" val="110"/>
			<attstr name="font" val="small_t"/>
		</section>

		<section name="6">
			<attstr name="type" val="label"/>
			<attstr name="text" val="Racing number:"/>
			<attstr name="tip" val="Your preferred racing number (for the number plate on the car ; 0 = auto)"/>
			<attnum name="x" val="20"/>
			<attnum name="y" val="204"/>
			<attstr name="color" val="0xFFFFFF"/>
			<attstr name="h align" val="right"/>
			<attnum name="width" val="110"/>
			<attstr name="font" val="small_t"/>
		</section>

		<section name="7">
			<attstr name="type" val="label"/>
			<attstr name="text" val="Pit stops:"/>
			<attstr name="tip" val="Number of scheduled pit-stops (for optimized refueling ; 0 = auto)"/>
			<attnum name="x" val="20"/>
			<attnum name="y" val="176"/>
			<attstr name="color" val="0xFFFFFF"/>
			<attstr name="h align" val="right"/>
			<attnum name="width" val="110"/>
			<attstr name="font" val="small_t"/>
		</section>

		<section name="8">
			<attstr name="type" val="label"/>
			<attstr name="text" val="Available players:"/>
			<attnum name="x" val="416"/>
			<attnum name="y" val="322"/>
			<attstr name="color" val="0xFFFFFF"/>
			<attstr name="font" val="small_t"/>
		</section>

		<section name="9">
			<attstr name="type" val="static image"/>
			<attnum name="x" val="212"/>
			<attnum name="y" val="400"/>
			<attnum name="width" val="450"/>
			<attnum name="height" val="20"/>
			<attstr name="image" val="data/img/head-playerconfig.png"/>
		</section>

		<section name="10">
			<attstr name="type" val="label"/>
			<attstr name="text" val="WebServer Username:"/>
			<attnum name="x" val="20"/>
			<attnum name="y" val="120"/>
			<attstr name="color" val="0xFFFFFF"/>
			<attstr name="font" val="small_t"/>
		</section>
		
		<section name="11">
			<attstr name="type" val="label"/>
			<attstr name="text" val="WebServer Password:"/>
			<attnum name="x" val="20"/>
			<attnum name="y" val="90"/>
			<attstr name="color" val="0xFFFFFF"/>
			<attstr name="font" val="small_t"/>
		</section>

	</section>

</params>
